<template>
  <div class="content py-10">
    <div class="flex flex-col gap-y-10">
      <div class="flex gap-x-5">
        <span class="text-red-400 text-lg font-semibold capitalize transition">
          user links:
        </span>
        <NuxtLink
          v-for="(simpleLink, index) in simpleLinks"
          :key="index"
          :to="simpleLink.url"
          class="text-sky-400 text-lg font-semibold cursor-pointer uppercase transition hover:text-pink-400"
        >
          {{ simpleLink.text }}
        </NuxtLink>
      </div>
      <div class="flex gap-x-5">
        <span class="text-red-400 text-lg font-semibold capitalize transition">
          admin links:
        </span>
        <NuxtLink
          v-for="(adminLink, index) in adminLinks"
          :key="index"
          :to="adminLink.url"
          class="text-sky-400 text-lg font-semibold cursor-pointer uppercase transition hover:text-pink-400"
        >
          {{ adminLink.text }}
        </NuxtLink>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
const simpleLinks = reactive([
  {
    url: "/login",
    text: "login",
  },
  {
    url: "/registration",
    text: "registration",
  },
  {
    url: "/users",
    text: "users",
  },
]);
const adminLinks = reactive([
  {
    url: "/admin/images",
    text: "images",
  },
  {
    url: "/admin/images/create",
    text: "create image",
  },
  {
    url: "/admin/products/create",
    text: "create product",
  },
  {
    url: "/admin/products",
    text: "all products",
  },
  {
    url: "/admin/categories",
    text: "all categories",
  },
]);
</script>
